# GMI Cloud ## Docs - [Overview](https://docs.gmicloud.ai/Overview.md) - [Search and use a Claw](https://docs.gmicloud.ai/Search-and-use-a-Claw.md) - [Create baremetal servers](https://docs.gmicloud.ai/api-reference/baremetals/create-baremetal-servers.md) - [Delete baremetal server](https://docs.gmicloud.ai/api-reference/baremetals/delete-baremetal-server.md) - [Execute baremetal server action](https://docs.gmicloud.ai/api-reference/baremetals/execute-baremetal-server-action.md) - [Get baremetal products](https://docs.gmicloud.ai/api-reference/baremetals/get-baremetal-products.md) - [Get baremetal server by ID](https://docs.gmicloud.ai/api-reference/baremetals/get-baremetal-server-by-id.md) - [List all baremetal servers](https://docs.gmicloud.ai/api-reference/baremetals/list-all-baremetal-servers.md) - [Update baremetal server](https://docs.gmicloud.ai/api-reference/baremetals/update-baremetal-server.md) - [Create containers](https://docs.gmicloud.ai/api-reference/containers/create-containers.md): create Container under default namespace - [Delete container](https://docs.gmicloud.ai/api-reference/containers/delete-container.md) - [Download container logs](https://docs.gmicloud.ai/api-reference/containers/download-container-logs.md) - [Generate container shell URL path](https://docs.gmicloud.ai/api-reference/containers/generate-container-shell-url-path.md) - [Get container info by ID](https://docs.gmicloud.ai/api-reference/containers/get-container-info-by-id.md) - [Get container products](https://docs.gmicloud.ai/api-reference/containers/get-container-products.md) - [List container information](https://docs.gmicloud.ai/api-reference/containers/list-container-information.md) - [Restart container](https://docs.gmicloud.ai/api-reference/containers/restart-container.md) - [Update container](https://docs.gmicloud.ai/api-reference/containers/update-container.md) - [Allocate elastic IP for organization](https://docs.gmicloud.ai/api-reference/elastic-ips/allocate-elastic-ip-for-organization.md) - [Associate elastic IP with instance](https://docs.gmicloud.ai/api-reference/elastic-ips/associate-elastic-ip-with-instance.md) - [Disassociate elastic IP from instance](https://docs.gmicloud.ai/api-reference/elastic-ips/disassociate-elastic-ip-from-instance.md) - [Get elastic IP](https://docs.gmicloud.ai/api-reference/elastic-ips/get-elastic-ip.md) - [Get elastic IP](https://docs.gmicloud.ai/api-reference/elastic-ips/get-elastic-ip-1.md) - [Get elastic IP products](https://docs.gmicloud.ai/api-reference/elastic-ips/get-elastic-ip-products.md) - [Release elastic IP](https://docs.gmicloud.ai/api-reference/elastic-ips/release-elastic-ip.md) - [Associate firewall](https://docs.gmicloud.ai/api-reference/firewalls/associate-firewall.md) - [Create firewall](https://docs.gmicloud.ai/api-reference/firewalls/create-firewall.md) - [Delete firewall](https://docs.gmicloud.ai/api-reference/firewalls/delete-firewall.md) - [Disassociate firewall](https://docs.gmicloud.ai/api-reference/firewalls/disassociate-firewall.md) - [Get firewall information by ID](https://docs.gmicloud.ai/api-reference/firewalls/get-firewall-information-by-id.md) - [List firewalls](https://docs.gmicloud.ai/api-reference/firewalls/list-firewalls.md) - [Update firewall](https://docs.gmicloud.ai/api-reference/firewalls/update-firewall.md) - [List all IDCs](https://docs.gmicloud.ai/api-reference/idcs/list-all-idcs.md): Retrieves a list of IDC information that are not marked as hidden. - [Get image by ID](https://docs.gmicloud.ai/api-reference/images/get-image-by-id.md) - [List images](https://docs.gmicloud.ai/api-reference/images/list-images.md) - [API Introduction](https://docs.gmicloud.ai/api-reference/introduction.md): Getting started with GMI Cloud APIs - [Accept invitation by key](https://docs.gmicloud.ai/api-reference/invitations/accept-invitation-by-key.md): Allows user to accept an invitation to join the organization using invitationKey. The user will automatically leave their current organization. - [Create an auth token.](https://docs.gmicloud.ai/api-reference/me/create-an-auth-token.md): Create a short-term authentication token using user credentials for exchanging access and refresh tokens. - [Create an auth token via OAuth.](https://docs.gmicloud.ai/api-reference/me/create-an-auth-token-via-oauth.md): Create a short-term authentication token using a third-party OAuth provider (e.g., Google). - [Create an SSH key](https://docs.gmicloud.ai/api-reference/me/create-an-ssh-key.md): Create an SSH public key for the current authenticated user. - [Create session](https://docs.gmicloud.ai/api-reference/me/create-session.md): Create a login session for user. - [Delete an SSH key.](https://docs.gmicloud.ai/api-reference/me/delete-an-ssh-key.md): Delete an SSH key owned by the currently authenticated user. - Users can only delete their own keys. - [List SSH keys](https://docs.gmicloud.ai/api-reference/me/list-ssh-keys.md): Retrieve a list of SSH keys for the current authenticated user. - [Refresh session](https://docs.gmicloud.ai/api-reference/me/refresh-session.md): Refresh an existing session, which will return a new access token and refresh token. - [Resend 2FA verification code.](https://docs.gmicloud.ai/api-reference/me/resend-2fa-verification-code.md): Resend 2FA verificaion code. - [Retrieve user's profile](https://docs.gmicloud.ai/api-reference/me/retrieve-users-profile.md): Retrieves the profile information of the current authenticated user. - [Update an SSH key.](https://docs.gmicloud.ai/api-reference/me/update-an-ssh-key.md): Update the name of an SSH key owned by the currently authenticated user. - Users can only update their own keys. - [Update user password](https://docs.gmicloud.ai/api-reference/me/update-user-password.md): Allows a user to update their password. - **Authenticated user**: Must use `Bearer ` in Authorization header and provide `currentPassword` in the request body. - **Password reset user**: Must provide `passwordResetToken` and provide `otpCode` in the request body. - [Update user's profile](https://docs.gmicloud.ai/api-reference/me/update-users-profile.md): Update the current authenticated user's profile. Either **firstName** or **lastName** should be provided in the request body. - [Verify API Key and retrieve the key details](https://docs.gmicloud.ai/api-reference/me/verify-api-key-and-retrieve-the-key-details.md): Validate the API key from the Authorization Bearer token and return the key details. - [Exchange authorization code for access token](https://docs.gmicloud.ai/api-reference/oauth/exchange-authorization-code-for-access-token.md): Exchanges an authorization code for an access token. - [Create an API key](https://docs.gmicloud.ai/api-reference/organizations/create-an-api-key.md): Allows a user to generate an API key for their organization. - [Delete an API key](https://docs.gmicloud.ai/api-reference/organizations/delete-an-api-key.md): Deletes an API key by its ID. - **Organization owner/admin**: Can delete any API key within their organization. - **Organization user**: Can only delete the API keys they created. - [Delete an organization](https://docs.gmicloud.ai/api-reference/organizations/delete-an-organization.md): Deletes an organization. - Allowed only if the organization has no users. - Only the `organization owner` can access the API. - The owner account will also be deleted. - [(DEPRECATED) Accept invitation](https://docs.gmicloud.ai/api-reference/organizations/deprecated-accept-invitation.md): This API is deprecated, use POST /invitations/{invitationKey} instead. Allows user to accept an invitation to join the organization. The user will automatically leave their current organization. - [List API keys](https://docs.gmicloud.ai/api-reference/organizations/list-api-keys.md): Retrieve a list of API keys accessible by the authenticated user. - **Organization owner/admin**: Can view all API keys within the organization. - **Organization user**: Can only see their own API keys. - [List users by organization](https://docs.gmicloud.ai/api-reference/organizations/list-users-by-organization.md): Retrieve a list of users belonging to the specified organization. Only users within the organization can access the API. - [Register an organization](https://docs.gmicloud.ai/api-reference/organizations/register-an-organization.md): Allow users to register an organization. The user will automatically leave their current organization. - [Retrieve organization information](https://docs.gmicloud.ai/api-reference/organizations/retrieve-organization-information.md): Retrieve information about a specific organization by its ID. Only users within the organization can access the API. - [Send invitations via email](https://docs.gmicloud.ai/api-reference/organizations/send-invitations-via-email.md): Allows an organization admin to invite users via email. - [Transfer organization ownership](https://docs.gmicloud.ai/api-reference/organizations/transfer-organization-ownership.md): Transfers the ownership of an organization to another user within the organization. - Only the current **organization owner** can perform this action. - The new owner **must be an existing member** of the organization. - The current owner **will be demoted to a regular user** after the transfer. - [Update organization information](https://docs.gmicloud.ai/api-reference/organizations/update-organization-information.md): Update information about a specific organization by its ID. - Only the `organization owner` can access the API. - [Create template](https://docs.gmicloud.ai/api-reference/templates/create-template.md): create template - [Delete template](https://docs.gmicloud.ai/api-reference/templates/delete-template.md) - [Get template](https://docs.gmicloud.ai/api-reference/templates/get-template.md) - [Get templates list](https://docs.gmicloud.ai/api-reference/templates/get-templates-list.md) - [Update template](https://docs.gmicloud.ai/api-reference/templates/update-template.md) - [Delete a user account.](https://docs.gmicloud.ai/api-reference/users/delete-a-user-account.md): Delete a user account. - A user can delete their own account. - An organization owner cannot be deleted. - An organization owner can delete any user within the same organization. - [Request password reset](https://docs.gmicloud.ai/api-reference/users/request-password-reset.md): Sends a password reset email to the user. - [Resend email verification code](https://docs.gmicloud.ai/api-reference/users/resend-email-verification-code.md): Resend email verificaion code. - [Verify user's email and complete user registration.](https://docs.gmicloud.ai/api-reference/users/verify-users-email-and-complete-user-registration.md): Confirms the user's email address and finalizes the the account creation process. - [Allocate default VPC for organization in IDC](https://docs.gmicloud.ai/api-reference/vpcs/allocate-default-vpc-for-organization-in-idc.md) - [Get VPC](https://docs.gmicloud.ai/api-reference/vpcs/get-vpc.md) - [List all VPCs](https://docs.gmicloud.ai/api-reference/vpcs/list-all-vpcs.md) - [Release default VPC](https://docs.gmicloud.ai/api-reference/vpcs/release-default-vpc.md) - [Browser Requirements](https://docs.gmicloud.ai/cluster-engine/cluster-engine-client-requirements.md) - [Cluster Engine](https://docs.gmicloud.ai/cluster-engine/index.md) - [Rent Bare Metal Servers](https://docs.gmicloud.ai/cluster-engine/marketplace/bare-metal.md) - [Rent Containers](https://docs.gmicloud.ai/cluster-engine/marketplace/containers.md) - [Marketplace](https://docs.gmicloud.ai/cluster-engine/marketplace/marketplace.md) - [Bare Metal Resources](https://docs.gmicloud.ai/cluster-engine/resources/bare-metal.md) - [Container Resources](https://docs.gmicloud.ai/cluster-engine/resources/containers.md) - [Elastic IP](https://docs.gmicloud.ai/cluster-engine/resources/elastic-ip.md) - [Firewalls](https://docs.gmicloud.ai/cluster-engine/resources/firewalls.md) - [Managed GPU Clusters](https://docs.gmicloud.ai/cluster-engine/resources/managed-gpu-clusters.md) - [Templates](https://docs.gmicloud.ai/cluster-engine/resources/templates.md) - [VPC & Subnets](https://docs.gmicloud.ai/cluster-engine/resources/vpc-subnets.md) - [Billing](https://docs.gmicloud.ai/cluster-engine/user-management/billing.md) - [User and Password Management](https://docs.gmicloud.ai/cluster-engine/user-management/login.md) - [Organization](https://docs.gmicloud.ai/cluster-engine/user-management/organization.md) - [SSH Keys](https://docs.gmicloud.ai/cluster-engine/user-management/ssh-keys.md) - [Workflow Canvas (Editor)](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/canvas.md) - [FAQ](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/faq.md) - [Getting Started](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/getting-started.md) - [Introduction](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/introduction.md) - [Managing Workflows](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/managing-workflows.md) - [GMI Studio Overview](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/overview.md) - [Running a Workflow](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/running-a-workflow.md) - [Step-by-Step Tutorials](https://docs.gmicloud.ai/gmi-studio/gmi-studio-user-manual/tutorials.md) - [Welcome to GMI Cloud](https://docs.gmicloud.ai/index.md): Whether you're deploying AI models, managing GPU clusters, or migrating workloads, this guide will help you navigate our platform with ease. Choose a section below to get started. - [LLM API Reference](https://docs.gmicloud.ai/inference-engine/api-reference/llm-api-reference.md) - [Rate limits](https://docs.gmicloud.ai/inference-engine/api-reference/rate-limit.md) - [Video API Reference](https://docs.gmicloud.ai/inference-engine/api-reference/video-api-reference.md) - [Video SDK Reference](https://docs.gmicloud.ai/inference-engine/api-reference/video-sdk-reference.md) - [Pricing](https://docs.gmicloud.ai/inference-engine/billing/price.md) - [Usage](https://docs.gmicloud.ai/inference-engine/billing/usage.md) - [Inference Engine Overview](https://docs.gmicloud.ai/inference-engine/ie-intro.md) - [Dedicated Endpoint](https://docs.gmicloud.ai/inference-engine/marketplace/dedicated.md) - [Serverless Endpoint](https://docs.gmicloud.ai/inference-engine/marketplace/serverless.md) - [Artifacts](https://docs.gmicloud.ai/inference-engine/resources/artifacts.md) - [Resources](https://docs.gmicloud.ai/inference-engine/resources/resources.md) - [Tasks](https://docs.gmicloud.ai/inference-engine/resources/tasks.md) - [Dify: Build a Deep Research Workflow using GMI Cloud Plugin in 5 Minutes](https://docs.gmicloud.ai/inference-engine/tutorials/build-deep-research-workflow-in-dify.md) - [What We Do](https://docs.gmicloud.ai/intro.md) - [List a Claw](https://docs.gmicloud.ai/list-a-claw.md) - [Migration Guides](https://docs.gmicloud.ai/migration/index.md) - [AWS S3 to GMI Cloud Cold Storage Migration](https://docs.gmicloud.ai/migration/s3-to-vast-migration.md) - [Our Features](https://docs.gmicloud.ai/overview.md) - [Privacy](https://docs.gmicloud.ai/privacy.md) - [Register a Claw](https://docs.gmicloud.ai/register-a-claw.md) - [Verified Claws](https://docs.gmicloud.ai/verified-claws.md) ## OpenAPI Specs - [service_api](https://docs.gmicloud.ai/api-spec/service_api.yaml) - [ids-public-api](https://docs.gmicloud.ai/api-spec/ids-public-api.yaml) - [ias-public-api](https://docs.gmicloud.ai/api-spec/ias-public-api.yaml) - [openapi](https://docs.gmicloud.ai/api-reference/openapi.json) - [iam-api](https://docs.gmicloud.ai/api-reference-2/iam-api.yaml) ## Optional - [Official Website](https://www.gmicloud.ai) - [Blog](https://www.gmicloud.ai/blog)